#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Manager for the database for the NVD JSON Files
#
# Current import is mapping all the old XML scheme from the NVD JSON files (WiP)
#
#
# Software is free software released under the "GNU Affero General Public License v3.0"
#
# Copyright (c) 2019 	Alexandre Dulaunoy - a@foo.be

# Imports
# make sure these modules are available on your system
import argparse
import os
import sys

from CveXplore import CveXplore

runPath = os.path.dirname(os.path.realpath(__file__))
sys.path.append(os.path.join(runPath, ".."))

# parse command line arguments
argparser = argparse.ArgumentParser(
    description="populate/update the local CVE database"
)
argparser.add_argument("-u", action="store_true", help="update the database")
argparser.add_argument("-p", action="store_true", help="populate the database")
argparser.add_argument(
    "-f", action="store_true", default=False, help="force repopulating of the database"
)
args = argparser.parse_args()


if __name__ == "__main__":
    cvex = CveXplore()

    if args.u:
        cvex.database.update("cve")

    elif args.p or args.f:
        cvex.database.populate("cve")

    else:
        argparser.print_help()
