#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# Import of the VIA4 dataset (vFeed replacement)
#
# Software is free software released under the "GNU Affero General Public License v3.0"
#
# Copyright (c) 2015-2018  Alexandre Dulaunoy - a@foo.be
# Copyright (c) 2016-2018  Pieter-Jan Moreels - pieterjan.moreels@gmail.com
import argparse
import os
import sys

from CveXplore import CveXplore

runPath = os.path.dirname(os.path.realpath(__file__))
sys.path.append(os.path.join(runPath, ".."))

argparser = argparse.ArgumentParser(
    description="populate/update the local VIA4 database"
)
argparser.add_argument("-u", action="store_true", help="update the database")
argparser.add_argument("-p", action="store_true", help="populate the database")
argparser.add_argument(
    "-f", action="store_true", default=False, help="force repopulating of the database"
)
args = argparser.parse_args()

if __name__ == "__main__":
    cvex = CveXplore()

    if args.u:
        cvex.database.update("via4")

    elif args.p or args.f:
        cvex.database.populate("via4")

    else:
        argparser.print_help()
